*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Times New Roman', Times, serif;
}

:root{
    --bgcolor1:#011638;
    --bgcolor2:#007991;
    --bgcolor3:#ED254E;
    --btn-color:#F9DC5C;
}

body{
    padding: 1rem;
    background: linear-gradient(to top right,var(--bgcolor1),var(--bgcolor3),var(--bgcolor2));
    min-height: 100vh;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
}

#weather-menu{
    height: max-content;
    padding: 2rem;
    border-radius: 2rem;
    border: none;
    background-color: rgb(0,0,0,0.4);
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
    width: max-content;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    color: white;
    gap: 2.5rem;
}

.heading{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
    gap: 1.2rem;
}

.weather-icon{
    width: 8rem;
    height: 8rem;
    background-image: url(../images/weather-svgrepo-com.svg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.heading p{
    font-size: 4rem;
    font-weight: bold;
    color: white;
}

.subheading{
    font-size: 1.5rem;
}

#city{
    width: 100%;
    height: 3rem;
    padding: 0.5rem;
    border-radius: 2rem;
    background-color: rgb(0,0,0,0.3);
    border: none;
    color: white;
    font-size: 1.2rem;
    padding-left: 1.5rem;
}

input::placeholder{
    color: rgb(111, 111, 111);
    font-size: 1.2rem;
    padding-left: 2rem;
}

#submit{
    text-align: center;
    height: 3rem;
    padding: 0.2rem;
    font-size: 1.2rem;
    width: 40%;
    border-radius: 2rem;
    border: none;
    background-color: var(--btn-color);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    align-self: center;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);

}

#submit:hover{
    background-color: #fcd527;
    transform: translateY(-0.5rem);
    width: 100%;
}

#submit:active{
    transform: translateY(0.5rem);
    width: 40%;
}

#weather-info,#current-info,#forecast-info{
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

#weather-info{
    display: none;
    gap: 4rem;
}

#current-info{
    display: flex;
    gap: 0.2rem;
}

#forecast-info{
    display: flex;
    width: 100%;
    flex-direction: row;
    gap: 1rem;
}

#icon{
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 10rem;
    width: 10rem;
}

#temp{
    font-size: 3rem;
}

#location,#state{
    font-size: 1.5rem;
}

.forecast-box{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: rgba(255, 255, 255, 0.05);
    padding: 1rem;
    border-radius: 1rem;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
}

.fore-icon{
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 8rem;
    width: 8rem;
}

.fore-temp,.fore-time,.fore-date{
    font-size: 1.5rem;
}
